using salesbook.Shared.Core.Entity;

namespace salesbook.Shared.Core.Interface.IntegryApi;

public interface IIntegryNotificationRestClient
{
    Task<List<WtbNotification>?> Get();
    Task<WtbNotification> MarkAsRead(long id);
    Task Delete(long id);
    Task DeleteAll();
}